 COMMENT * -------------------------

    IRQ & NMI & RESET

 ----------------------------------*
        INCLUDE MUSIC.H
        INCLUDE MUSIC.DAT
        INCLUDE A_1.FCM
        INCLUDE A_2.FCM
;---------------------------------
        EXTERN  INIT_MUSIC
        EXTERN  PLAY_MUSIC
        EXTERN  PLAY_SOUND_EFFECT
;---------------------------------
        PUBLIC  NMI_ENTER
        PUBLIC  POWER_ON
        PUBLIC  IRQ_SERVICE
;---------------------------------
IRQ_SERVICE
        RETI
;---------------------------------
NMI_ENTER:
        PHA
        TXA
        PHA
        TYA
        PHA
        JSR     PLAY_MUSIC
        JSR     PLAY_SOUND_EFFECT
        PLA
        TAY
        PLA
        TAX
        PLA
        RETI
;---------------------------------
;       ORG     FFA0H
;=================================
; SUB:
;=================================
POWER_ON

        LDA     #0
        STA     2000H
        STA     2001H
        STA     8000H
        STA     E000H
        STA     A000H

;SET ALL CHANNELS OFF
        LDA     #$FF
        STA     SOUND_EFFECT1
        STA     SOUND_EFFECT2
        STA     SOUND_EFFECT3
        STA     SOUND_EFFECT4
        LDA     #00
        STA     MUSIC_CHANNEL
        STA     SECOND_MUSIC_CHANNEL

;-----------------------------------------
;HOW TO INITIAL MUSIC DATA
;-----------------------------------------
        LDA     #0                      ;MusicNo
        STA     MUSIC_NO
        LDA     #0                      ;=00H, SET THE 1'ST MUSIC ENABLE
        STA     SECOND_MUSIC_SWITCH     ;=01H, SET THE 2'ND MUSIC ENABLE
        JSR     INIT_MUSIC

        LDA     #80H                    ;Open NMI
        STA     2000H
LOOP
        INX
        JMP     LOOP

;-----------------------------------------
;HOW TO INITIAL THE 2'ND MUSIC DATA
;-----------------------------------------
        LDA     #0                      ;MusicNo
        STA     MUSIC_NO
        LDA     #1
        STA     SECOND_MUSIC_SWITCH     ;=00H, SET THE 1'ST MUSIC ENABLE
        JSR     INIT_MUSIC              ;=01H, SET THE 2'ND MUSIC ENABLE

;-----------------------------------------
;HOW TO SET SOUND EFFECT ENABLE
;-----------------------------------------
        LDA     #0                      ;SoundEffect1No
        STA     SOUND_EFFECT1

        LDA     #0                      ;SoundEffect2No
        STA     SOUND_EFFECT2

        LDA     #0                      ;SoundEffect3No
        STA     SOUND_EFFECT3

        LDA     #0                      ;SoundEffect4No
        STA     SOUND_EFFECT4

        RET
;---------------------------------
        END
