;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
;                                    Title	Keyboard data mapping for translate to ASCII code
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

;----------------------------------------------------------------------------
; Version	: V1.0
; File name	: CtrlASC.inc
; Date		: Feb  13 ,1997
; Language	:  6502 ASSEMBLY
; Description	: The keyboard data translate map for mapping to ASCII code by set 1 scan code with Ctrl case.
;----------------------------------------------------------------------------

;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
	?Code_00:	db	$20h			; null key.
	?Code_01:	db	#027d			; ESC key.
	?Code_02:	db	-1d			; 1 ->
	?Code_03:	db	#000d			; 2 -> Null
	?Code_04:	db	-1d			; 3 ->
	?Code_05:	db	-1d			; 4 ->
	?Code_06:	db	-1d			; 5 ->
	?Code_07:	db	#030d			; 6 -> RS
	?Code_08:	db	-1d			; 7 ->
	?Code_09:	db	-1d			; 8 ->
	?Code_0A:	db	-1d			; 9 ->
	?Code_0B:	db	-1d			; 0 ->
	?Code_0C:	db	#031d			; - -> US
	?Code_0D:	db	-1d			; = ->
	?Code_0E:	db	#127d			; Backspace key -> Del
	?Code_0F:	db	#009d			; Tab key.
	?Code_10:	db	#017d			; q -> DC1
	?Code_11:	db	#023d			; w -> ETB
	?Code_12:	db	#005d			; e -> ENQ
	?Code_13:	db	#018d			; r -> DC2
	?Code_14:	db	#020d			; t -> DC4
	?Code_15:	db	#025d			; y -> EM
	?Code_16:	db	#021d			; u -> NAK
	?Code_17:	db	#009d			; i -> HT
	?Code_18:	db	#015d			; o -> SI
	?Code_19:	db	#016d			; p -> DLE
	?Code_1A:	db	#027d			; [ -> ESC
	?Code_1B:	db	#029d			; ] -> GS
	?Code_1C:	db	#013d			; CR key.
	?Code_1D:	db	-1d			; left Ctrl key.
	?Code_1E:	db	#001d			; a -> SOH
	?Code_1F:	db	#019d			; s -> DC3
	?Code_20:	db	#004d			; d -> EOT
	?Code_21:	db	#006d			; f -> ACK
	?Code_22:	db	#007d			; g -> BEL
	?Code_23:	db	#008d			; h -> BS
	?Code_24:	db	#010d			; j -> LF
	?Code_25:	db	#011d			; k -> VT
	?Code_26:	db	#012d			; l -> FF
	?Code_27:	db	-1d			; ; ->
	?Code_28:	db	-1d			; ' ->
	?Code_29:	db	-1d			; ` ->
	?Code_2A:	db	-1d			; left Shift key.
	?Code_2B:	db	#028d			; \ -> FS
	?Code_2C:	db	#026d			; z -> SUB
	?Code_2D:	db	#024d			; x -> CAN
	?Code_2E:	db	#003d			; c -> ETX
	?Code_2F:	db	#022d			; v -> SYN
	?Code_30:	db	#002d			; b -> STX
	?Code_31:	db	#014d			; n -> SO
	?Code_32:	db	#013d			; m -> CR
	?Code_33:	db	-1d			; , ->
	?Code_34:	db	-1d			; . ->
	?Code_35:	db	-1d			; / ->
	?Code_36:	db	-1d			; right Shift key.
	?Code_37:	db	$2Ah			; * on keypad.
	?Code_38:	db	-1d			; left Alt key.
	?Code_39:	db	$20h			; Space Bar.
	?Code_3A:	db	-1d			; Caps Lock key.
	?Code_3B:	db	$20h			; F1.
	?Code_3C:	db	$20h			; F2.
	?Code_3D:	db	$20h			; F3.
	?Code_3E:	db	$20h			; F4.
	?Code_3F:	db	$20h			; F5.
	?Code_40:	db	$20h			; F6.
	?Code_41:	db	$20h			; F7.
	?Code_42:	db	$20h			; F8.
	?Code_43:	db	$20h			; F9.
	?Code_44:	db	$20h			; F10.
	?Code_47:	db	$20h			; Home key on keypad.
	?Code_48:	db	$20h			; Cursor Up on keypad.
	?Code_49:	db	$20h			; PgUp key on keypad.
	?Code_4A:	db	$20h			; Sys Request key on keypad.
	?Code_4B:	db	$20h			; Cursor Left on keypad.
	?Code_4C:	db	$20h			; 5 on keypad.
	?Code_4D:	db	$20h			; Cursor Right on keypad.
	?Code_4E:	db	$20h			; + key on keypad.
	?Code_4F:	db	$20h			; End key on keypad.
	?Code_50:	db	$20h			; Cursor Down on keypad.
	?Code_51:	db	$20h			; PgDn key on keypad.
	?Code_52:	db	$20h			; Ins key on keypad.
	?Code_53:	db	$20h			; Del key on keypad.
	?Code_54:	db	$20h			; non used scan code.
	?Code_55:	db	$20h			; non used scan code.
	?Code_56:	db	$5Ch			; \ for 102 keys only.
	?Code_57:	db	$20h			; F11.
	?Code_58:	db	$20h			; F12.
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
