
;--------------------------------------------------------------------
;	topic:	play PCM on 6578 with 12000Hz sample rate
;	author: umc.cl.cld1.Pachinco
;	detail: v0.0 1997/04/08
;--------------------------------------------------------------------

			.syntax 	6502
			.symbols
;--------------------------------------------------------------------
SystemControl		=		$2000
DacData 		=		$4027
IrqMask 		=		$4032
IrqStatus		=		$4033
TimerControl		=		$4034
TimerPreset		=		$4035
;--------------------------------------------------------------------
wram			.section	page0, ref_only
VoiceEndL		ds		1
VoiceEndH		ds		1
IrqCount		ds		1
PcmAddrL		ds		1
PcmAddrH		ds		1
;--------------------------------------------------------------------
code			.section	offset	$8000
;--------------------------------------------------------------------
NmiIsr:
			rti
;--------------------------------------------------------------------
IrqIsr:
			pha
			lda	IrqStatus
			and	#%10000000
			sta	IrqMask 	; clear irq status
			lda	#%01111111
			sta	IrqMask 	; reset irq mask
			inc	IrqCount
			pla
			rti
;--------------------------------------------------------------------
PowerOn:
			ldx	#$ff
			txs			; stack pionter = $1ff

			lda	#0
			sta	SystemControl	; disable nmi
			sta	IrqCount	; set irq reentrance flag

			lda	#$ff
			sta	DacData

			lda	#148
			sta	TimerPreset	; timer frq. = 12000 Hz

			lda	#%11000000
			sta	TimerControl	; enable timer
						; auto load
						; base clock = system clock
						; prescale = 0
			lda	#%01111111
			sta	IrqMask 	; turn on timer irq
						; turn off all others
			cli			; turn on interrupt
WaitSampleRate:
			lda	IrqCount
			beq	WaitSampleRate

			lda	#0
			sta	DacData
			jmp	$
;--------------------------------------------------------------------
PcmData:		.include	tada12.dat
;--------------------------------------------------------------------
InterruptVectorTable	.section	offset	$fffa
NmiVector		dw		NmiIsr
ResetVector		dw		PowerOn
IrqVector		dw		IrqIsr
;--------------------------------------------------------------------
			end
