
.include MUSIC.H



.EXTERN	PLAY_MUSIC
.EXTERN	INIT_MUSIC
.EXTERN	PLAY_SOUND_EFFECT

.public	NMI
.public	IRQ
.public	Main_task



	org	$8000


;========================================================================
;===			Main Program				     ====
;========================================================================
Main_task:
	lda	#0
	sta	IO2000		;Disable NMI
	sta	IO2001
	sta	_2000
	sta	_2001
	sta	$4015		;Disable all chanels ( Channel A,B,C,D & E )
	sta	$4017		;Disable IRQ
;
	cld			;Set to	binary mode
	ldx	#ffh		;Set stack pointer = $01ff
	txs
;
wait1:
	lda	IO2002		;set scan line=0
	bmi	wait1
wait2:
	lda	IO2002
	bpl	wait2

	.
	.
	.
	.

;
	lda	#1
	sta	MUSIC_NO
	jsr	INIT_MUSIC
;
	lda	#2
	sta	MUSIC_NO
	sta	SECOND_MUSIC_SWITCH
	jsr	INIT_MUSIC
;
	lda	#0
	sta	SOUND_EFFECT1
;
;
Main_loop
	jmp	Main_loop



NMI:
	pha
	txa
	pha
	tya
	pha
	php
;
	.
	.
	.
	jsr	PLAY_MUSIC
	jsr	PLAY_SOUND_EFFECT
	.
	.
	.
;
	plp
	pla
	tay
	pla
	tax
	pla
	rti



IRQ:
	rti



.public	 MUSIC_TABLE
MUSIC_TABLE
	dw	MUSIC_00_MSC
	dw	MUSIC_01_MSC
	dw	MUSIC_02_MSC
	.
	.
	.


.public	 SAMPLE_TABLE
SAMPLE_TABLE
	dw	MUSIC_00_SAMP
	dw	MUSIC_01_SAMP
	dw	MUSIC_02_SAMP
	.
	.
	.



.public	EFFECT_TABLE

EFFECT_TABLE
	dw	Effect_chanel1
	dw	Effect_chanel2
	dw	Effect_chanel3
	dw	Effect_chanel4


Effect_chanel1
	db	134,203,255,216		;00 start key
	.
	.


Effect_chanel2
	db	128,203,255,216		;01 arrow key
	.
	.


Effect_chanel3
	.
	.

Effect_chanel4
	.
	.


.public	CHANNEL4_ENVELOPE_DAT
CHANNEL4_ENVELOPE_DAT:
.include ch4_env.tbl

.public	CHANNEL4_TONE_DAT
CHANNEL4_TONE_DAT:
.include ch4_tone.tbl


